#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n,m;
    scanf("%d%d",&n,&m);
    int *a=(int*)malloc(n*sizeof(int));
    int *x=(int*)malloc(n*sizeof(int));
    int *y=(int*)malloc(n*sizeof(int));
    for (int i=0;i<n;i++) scanf("%d",&a[i]);
    for (int i=0;i<m;i++) scanf("%d%d",&x[i],&y[i]);
    long long suma=0;
    for (int i=0;i<m;i++)
    {
        if (a[x[i]-1]+a[y[i]-1]>0) suma+=a[x[i]-1]+a[y[i]-1];
        else suma+=(a[x[i]-1]+a[y[i]-1])*(-1);
    }
    printf("%d",suma);
}